Account Balance
Returns a user's account details, including reward details such as reward ID and account balance details such as banked currency, membership level, etc.
Headers
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringAccept
- Language Preferred language
- Type: stringUser
- Agent requiredUsed to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
Body
application/json
- Type: stringclient
OAuth client ID provided by the business
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for get/api2/mobile/checkins/account_balance
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/checkins/account_balance \
--header 'x-pch-digest: {{$$.env.signature}}' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
--data '{
"client": "CLIENT_GOES_HERE"
}'
{
"rewards": [
{
"becomes_available_at": "2016-05-17T05:23:29-07:00",
"campaign_type": null,
"created_at": "2016-05-24T00:52:48-07:00",
"description": "Free with the purchase of an entree.",
"discount_channel": "all",
"discount_amount": null,
"reward_image_url": "IMAGE_URL_GOES_HERE",
"name": "Dessert",
"read_at": null,
"reward_properties": "order-ahead",
"store_numbers": [],
"franchisee_id": 1234,
"meta_data": "Tag1, Tag2, Tag3, Tag4, Tag5",
"reward_id": 5051791,
"expiring_at": "2016-06-01T02:59:59-04:00",
"redemption_details": {
"redemption_status": "redeemable",
"created_at": "2016-05-20T16:05:14+05:30",
"redeemable_id": 1041895320,
"redeemable_name": "Dessert",
"redeemable_description": "",
"redeemed_value": "20",
"redemption_image_url": "IMAGE_URL_GOES_HERE",
"redemption_message": "",
"updated_at": "2016-05-20T16:05:14+05:30",
"redemption_id": 994925280,
"redemption_tracking_code": "1435308",
"expiring_at": "2016-05-20T18:05:14+05:30"
}
}
],
"banked_redemptions": [
{
"redemption_status": "expired",
"created_at": "2018-02-05T04:52:20-06:00",
"redeemable_id": 3096,
"redemption_image_url": "IMAGE_URL_GOES_HERE",
"redemption_message": "",
"updated_at": "2018-02-05T04:52:20-06:00",
"redemption_id": 22383235,
"redemption_tracking_code": "8103935",
"expiring_at": "2018-02-05T08:52:20-06:00",
"redeemable_name": "$5 Reward",
"redeemed_value": null
},
{
"redemption_status": "expired",
"created_at": "2018-02-06T03:48:02-06:00",
"redeemable_id": 3096,
"redemption_image_url": "IMAGE_URL_GOES_HERE",
"redemption_message": "",
"updated_at": "2018-02-06T03:48:02-06:00",
"redemption_id": 22450832,
"redemption_tracking_code": "8381242",
"expiring_at": "2018-02-06T07:48:02-06:00",
"redeemable_name": "$5 Reward",
"redeemed_value": null
},
{
"redemption_status": "expired",
"created_at": "2018-07-19T07:19:47-05:00",
"redeemable_id": null,
"redemption_image_url": "IMAGE_URL_GOES_HERE",
"redemption_message": "",
"updated_at": "2018-07-19T07:19:47-05:00",
"redemption_id": 34510132,
"redemption_tracking_code": "1656060",
"expiring_at": "2018-07-19T11:19:47-05:00",
"redeemable_name": null,
"redeemed_value": 5
},
{
"redemption_status": "redeemable",
"created_at": "2019-01-07T02:00:38-06:00",
"redeemable_id": null,
"redemption_image_url": "IMAGE_URL_GOES_HERE",
"redemption_message": "",
"updated_at": "2019-01-07T02:00:38-06:00",
"redemption_id": 49572717,
"redemption_tracking_code": "9861700",
"expiring_at": "2019-01-07T06:00:38-06:00",
"redeemable_name": null,
"redeemed_value": 1
}
],
"account_balance_details": {
"banked_currency": 10,
"banked_currency_expiring_on": null,
"checkins_on_current_card": 0,
"current_membership_level_id": null,
"current_membership_level_expiring_on": null,
"expiring_banked_currency": null,
"pending_points": 0,
"redeemed_cards": null,
"total_loyalty_visits": null,
"unredeemed_cards": null,
"current_membership_level_name": null,
"lifetime_points": 165,
"redeemable_points": 10,
"unbanked_points": 65,
"membership_qualification_points": 500
}
}